## firmware-carl9170 1.9.4-trisquel1

=== Makefile ===
# CMAKE generated file: DO NOT EDIT!
# Generated by "Unix Makefiles" Generator, CMake Version 2.8

# Default target executed when no arguments are given to make.
default_target: all
.PHONY : default_target

#=============================================================================
# Special targets provided by cmake.

# Disable implicit rules so canonical targets will work.
.SUFFIXES:

# Remove some rules from gmake that .SUFFIXES does not remove.
SUFFIXES =

.SUFFIXES: .hpux_make_needs_suffix_list

# Suppress display of executed commands.
$(VERBOSE).SILENT:

# A target that is always out of date.
cmake_force:
.PHONY : cmake_force

#=============================================================================
# Set environment variables for the build.

# The shell in which to execute make rules.
SHELL = /bin/sh

# The CMake executable.
CMAKE_COMMAND = /usr/bin/cmake

# The command to remove a file.
RM = /usr/bin/cmake -E remove -f

# The top-level source directory on which CMake was run.
CMAKE_SOURCE_DIR = /root/git/carl9170fw

# The top-level build directory on which CMake was run.
CMAKE_BINARY_DIR = /root/git/carl9170fw

#=============================================================================
# Targets provided globally by CMake.

# Special rule for the target edit_cache
edit_cache:
	@$(CMAKE_COMMAND) -E cmake_echo_color --switch=$(COLOR) --cyan "Running interactive CMake command-line interface..."
	/usr/bin/cmake -i .
.PHONY : edit_cache

# Special rule for the target edit_cache
edit_cache/fast: edit_cache
.PHONY : edit_cache/fast

# Special rule for the target rebuild_cache
rebuild_cache:
	@$(CMAKE_COMMAND) -E cmake_echo_color --switch=$(COLOR) --cyan "Running CMake to regenerate build system..."
	/usr/bin/cmake -H$(CMAKE_SOURCE_DIR) -B$(CMAKE_BINARY_DIR)
.PHONY : rebuild_cache

# Special rule for the target rebuild_cache
rebuild_cache/fast: rebuild_cache
.PHONY : rebuild_cache/fast

# The main all target
all: cmake_check_build_system
	$(CMAKE_COMMAND) -E cmake_progress_start /root/git/carl9170fw/CMakeFiles /root/git/carl9170fw/CMakeFiles/progress.marks
	$(MAKE) -f CMakeFiles/Makefile2 all
	$(CMAKE_COMMAND) -E cmake_progress_start /root/git/carl9170fw/CMakeFiles 0
.PHONY : all

# The main clean target
clean:
	$(MAKE) -f CMakeFiles/Makefile2 clean
.PHONY : clean

# The main clean target
clean/fast: clean
.PHONY : clean/fast

# Prepare targets for installation.
preinstall: all
	$(MAKE) -f CMakeFiles/Makefile2 preinstall
.PHONY : preinstall

# Prepare targets for installation.
preinstall/fast:
	$(MAKE) -f CMakeFiles/Makefile2 preinstall
.PHONY : preinstall/fast

# clear depends
depend:
	$(CMAKE_COMMAND) -H$(CMAKE_SOURCE_DIR) -B$(CMAKE_BINARY_DIR) --check-build-system CMakeFiles/Makefile.cmake 1
.PHONY : depend

#=============================================================================
# Target rules for targets named carl9170.elf

# Build rule for target.
carl9170.elf: cmake_check_build_system
	$(MAKE) -f CMakeFiles/Makefile2 carl9170.elf
.PHONY : carl9170.elf

# fast build rule for target.
carl9170.elf/fast:
	$(MAKE) -f carlfw/CMakeFiles/carl9170.elf.dir/build.make carlfw/CMakeFiles/carl9170.elf.dir/build
.PHONY : carl9170.elf/fast

#=============================================================================
# Target rules for targets named firmware

# Build rule for target.
firmware: cmake_check_build_system
	$(MAKE) -f CMakeFiles/Makefile2 firmware
.PHONY : firmware

# fast build rule for target.
firmware/fast:
	$(MAKE) -f carlfw/CMakeFiles/firmware.dir/build.make carlfw/CMakeFiles/firmware.dir/build
.PHONY : firmware/fast

#=============================================================================
# Target rules for targets named miniboot.elf

# Build rule for target.
miniboot.elf: cmake_check_build_system
	$(MAKE) -f CMakeFiles/Makefile2 miniboot.elf
.PHONY : miniboot.elf

# fast build rule for target.
miniboot.elf/fast:
	$(MAKE) -f minifw/CMakeFiles/miniboot.elf.dir/build.make minifw/CMakeFiles/miniboot.elf.dir/build
.PHONY : miniboot.elf/fast

#=============================================================================
# Target rules for targets named miniboot.fw

# Build rule for target.
miniboot.fw: cmake_check_build_system
	$(MAKE) -f CMakeFiles/Makefile2 miniboot.fw
.PHONY : miniboot.fw

# fast build rule for target.
miniboot.fw/fast:
	$(MAKE) -f minifw/CMakeFiles/miniboot.fw.dir/build.make minifw/CMakeFiles/miniboot.fw.dir/build
.PHONY : miniboot.fw/fast

#=============================================================================
# Target rules for targets named carlfw

# Build rule for target.
carlfw: cmake_check_build_system
	$(MAKE) -f CMakeFiles/Makefile2 carlfw
.PHONY : carlfw

# fast build rule for target.
carlfw/fast:
	$(MAKE) -f tools/lib/CMakeFiles/carlfw.dir/build.make tools/lib/CMakeFiles/carlfw.dir/build
.PHONY : carlfw/fast

#=============================================================================
# Target rules for targets named checksum

# Build rule for target.
checksum: cmake_check_build_system
	$(MAKE) -f CMakeFiles/Makefile2 checksum
.PHONY : checksum

# fast build rule for target.
checksum/fast:
	$(MAKE) -f tools/src/CMakeFiles/checksum.dir/build.make tools/src/CMakeFiles/checksum.dir/build
.PHONY : checksum/fast

#=============================================================================
# Target rules for targets named fwinfo

# Build rule for target.
fwinfo: cmake_check_build_system
	$(MAKE) -f CMakeFiles/Makefile2 fwinfo
.PHONY : fwinfo

# fast build rule for target.
fwinfo/fast:
	$(MAKE) -f tools/src/CMakeFiles/fwinfo.dir/build.make tools/src/CMakeFiles/fwinfo.dir/build
.PHONY : fwinfo/fast

#=============================================================================
# Target rules for targets named miniboot

# Build rule for target.
miniboot: cmake_check_build_system
	$(MAKE) -f CMakeFiles/Makefile2 miniboot
.PHONY : miniboot

# fast build rule for target.
miniboot/fast:
	$(MAKE) -f tools/src/CMakeFiles/miniboot.dir/build.make tools/src/CMakeFiles/miniboot.dir/build
.PHONY : miniboot/fast

#=============================================================================
# Target rules for targets named wol

# Build rule for target.
wol: cmake_check_build_system
	$(MAKE) -f CMakeFiles/Makefile2 wol
.PHONY : wol

# fast build rule for target.
wol/fast:
	$(MAKE) -f tools/src/CMakeFiles/wol.dir/build.make tools/src/CMakeFiles/wol.dir/build
.PHONY : wol/fast

# Help Target
help:
	@echo "The following are some of the valid targets for this Makefile:"
	@echo "... all (the default if no target is provided)"
	@echo "... clean"
	@echo "... depend"
	@echo "... edit_cache"
	@echo "... rebuild_cache"
	@echo "... carl9170.elf"
	@echo "... firmware"
	@echo "... miniboot.elf"
	@echo "... miniboot.fw"
	@echo "... carlfw"
	@echo "... checksum"
	@echo "... fwinfo"
	@echo "... miniboot"
	@echo "... wol"
.PHONY : help



#=============================================================================
# Special targets to cleanup operation of make.

# Special rule to run CMake to check the build system integrity.
# No rule that depends on this can have commands that come from listfiles
# because they might be regenerated.
cmake_check_build_system:
	$(CMAKE_COMMAND) -H$(CMAKE_SOURCE_DIR) -B$(CMAKE_BINARY_DIR) --check-build-system CMakeFiles/Makefile.cmake 0
.PHONY : cmake_check_build_system

=== carlfw/CMakeLists.txt ===
cmake_minimum_required(VERSION 2.8)

project(carl9170.fw)

include("../extra/sh-elf-linux.cmake")
include("../config.cmake")

set(CARL9170_FW_ELF carl9170.elf)
set(CARLFW_CFLAGS_WARNING "-W -Wall -Wextra -Wunreachable-code -Winline -Wlogical-op -Wno-packed-bitfield-compat -Winit-self -Wshadow -Wwrite-strings -Waggregate-return -Wstrict-prototypes -Wformat=2 -Wcast-align -Wmissing-format-attribute -Wmissing-prototypes -Wtype-limits -Wmissing-declarations -Wmissing-noreturn -Wredundant-decls -Wnested-externs -Wdisabled-optimization -Wpointer-arith -Wvolatile-register-var -Waddress -Wbad-function-cast -Wunsafe-loop-optimizations")
set(CARLFW_CFLAGS_EXTRA "-mbitops -std=gnu99 -ffunction-sections -Wframe-larger-than=128 -Werror")
set(CARLFW_CFLAGS_DEF "-D__CARL9170FW__")
if (CONFIG_CARL9170FW_AGGRESSIVE_CFLAGS)
	set(CARLFW_CFLAGS_AGGRESSIVE "-fomit-frame-pointer -fsee -frename-registers -ftree-vectorize -flto -fstrict-volatile-bitfields -fmodulo-sched -fwhole-program")
endif (CONFIG_CARL9170FW_AGGRESSIVE_CFLAGS)
set(CARLFW_CFLAGS "${CARLFW_CFLAGS_DEF} ${CARLFW_CFLAGS_EXTRA} ${CARLFW_CFLAGS_AGGRESSIVE} ${CARLFW_CFLAGS_WARNING}")

include_directories (../include/linux ../include/shared ../include include)

set(carl9170_main_src src/main.c src/wlan.c src/wlanrx.c src/wlantx.c
		      src/fw.c src/gpio.c src/timer.c
		      src/uart.c src/dma.c src/hostif.c src/reboot.S
		      src/printf.c src/rf.c src/cam.c src/wol.c)

set(carl9170_lib_src src/memcpy.S src/memset.S src/udivsi3_i4i-Os.S)
set(carl9170_usb_src usb/main.c usb/usb.c usb/fifo.c)

set(carl9170_src ${carl9170_main_src} ${carl9170_lib_src} ${carl9170_usb_src})

#set_source_files_properties(src/ashlsi3.S PROPERTIES LANGUAGE C)
set_source_files_properties(src/memcpy.S PROPERTIES LANGUAGE C)
set_source_files_properties(src/memset.S PROPERTIES LANGUAGE C)
set_source_files_properties(src/reboot.S PROPERTIES LANGUAGE C)
set_source_files_properties(src/udivsi3_i4i-Os.S PROPERTIES LANGUAGE C)

add_executable(carl9170.elf ${carl9170_src})

set_target_properties(carl9170.elf PROPERTIES LINKER_LANGUAGE C)

set_target_properties(carl9170.elf PROPERTIES COMPILE_FLAGS "${CARLFW_CFLAGS}")
set_target_properties(carl9170.elf PROPERTIES LINK_FLAGS "${CARLFW_CFLAGS} -Wl,-Tcarl9170.lds")

add_custom_target(firmware ALL)

add_custom_command(
	SOURCE carl9170.elf
	COMMAND ${OBJCOPY}
	ARGS --strip-unneeded -O binary -R .sram -R .eeprom -R .fwdsc carl9170.elf carl9170.bin
	TARGET firmware
	OUTPUTS carl9170.bin)

add_custom_command(
	SOURCE carl9170.elf
	COMMAND ${OBJCOPY}
	ARGS --strip-unneeded -O binary -j .fwdsc carl9170.elf carl9170.dsc
	TARGET firmware
	OUTPUTS carl9170.dsc)

add_custom_command(
	SOURCE firmware
	TARGET firmware
	COMMAND cat
	ARGS "carl9170.bin" "carl9170.dsc" > "carl9170.fw"
	DEPENDS carl9170.elf carl9170.bin carl9170.dsc
	OUTPUTS carl9170.fw)

SET_DIRECTORY_PROPERTIES(
	PROPERTIES ADDITIONAL_MAKE_CLEAN_FILES "carl9170.fw")

=== carlfw/Makefile ===
# CMAKE generated file: DO NOT EDIT!
# Generated by "Unix Makefiles" Generator, CMake Version 2.8

# Default target executed when no arguments are given to make.
default_target: all
.PHONY : default_target

#=============================================================================
# Special targets provided by cmake.

# Disable implicit rules so canonical targets will work.
.SUFFIXES:

# Remove some rules from gmake that .SUFFIXES does not remove.
SUFFIXES =

.SUFFIXES: .hpux_make_needs_suffix_list

# Suppress display of executed commands.
$(VERBOSE).SILENT:

# A target that is always out of date.
cmake_force:
.PHONY : cmake_force

#=============================================================================
# Set environment variables for the build.

# The shell in which to execute make rules.
SHELL = /bin/sh

# The CMake executable.
CMAKE_COMMAND = /usr/bin/cmake

# The command to remove a file.
RM = /usr/bin/cmake -E remove -f

# The top-level source directory on which CMake was run.
CMAKE_SOURCE_DIR = /root/git/carl9170fw

# The top-level build directory on which CMake was run.
CMAKE_BINARY_DIR = /root/git/carl9170fw

#=============================================================================
# Targets provided globally by CMake.

# Special rule for the target edit_cache
edit_cache:
	@$(CMAKE_COMMAND) -E cmake_echo_color --switch=$(COLOR) --cyan "Running interactive CMake command-line interface..."
	/usr/bin/cmake -i .
.PHONY : edit_cache

# Special rule for the target edit_cache
edit_cache/fast: edit_cache
.PHONY : edit_cache/fast

# Special rule for the target rebuild_cache
rebuild_cache:
	@$(CMAKE_COMMAND) -E cmake_echo_color --switch=$(COLOR) --cyan "Running CMake to regenerate build system..."
	/usr/bin/cmake -H$(CMAKE_SOURCE_DIR) -B$(CMAKE_BINARY_DIR)
.PHONY : rebuild_cache

# Special rule for the target rebuild_cache
rebuild_cache/fast: rebuild_cache
.PHONY : rebuild_cache/fast

# The main all target
all: cmake_check_build_system
	cd /root/git/carl9170fw && $(CMAKE_COMMAND) -E cmake_progress_start /root/git/carl9170fw/CMakeFiles /root/git/carl9170fw/carlfw/CMakeFiles/progress.marks
	cd /root/git/carl9170fw && $(MAKE) -f CMakeFiles/Makefile2 carlfw/all
	$(CMAKE_COMMAND) -E cmake_progress_start /root/git/carl9170fw/CMakeFiles 0
.PHONY : all

# The main clean target
clean:
	cd /root/git/carl9170fw && $(MAKE) -f CMakeFiles/Makefile2 carlfw/clean
.PHONY : clean

# The main clean target
clean/fast: clean
.PHONY : clean/fast

# Prepare targets for installation.
preinstall: all
	cd /root/git/carl9170fw && $(MAKE) -f CMakeFiles/Makefile2 carlfw/preinstall
.PHONY : preinstall

# Prepare targets for installation.
preinstall/fast:
	cd /root/git/carl9170fw && $(MAKE) -f CMakeFiles/Makefile2 carlfw/preinstall
.PHONY : preinstall/fast

# clear depends
depend:
	cd /root/git/carl9170fw && $(CMAKE_COMMAND) -H$(CMAKE_SOURCE_DIR) -B$(CMAKE_BINARY_DIR) --check-build-system CMakeFiles/Makefile.cmake 1
.PHONY : depend

# Convenience name for target.
carlfw/CMakeFiles/carl9170.elf.dir/rule:
	cd /root/git/carl9170fw && $(MAKE) -f CMakeFiles/Makefile2 carlfw/CMakeFiles/carl9170.elf.dir/rule
.PHONY : carlfw/CMakeFiles/carl9170.elf.dir/rule

# Convenience name for target.
carl9170.elf: carlfw/CMakeFiles/carl9170.elf.dir/rule
.PHONY : carl9170.elf

# fast build rule for target.
carl9170.elf/fast:
	cd /root/git/carl9170fw && $(MAKE) -f carlfw/CMakeFiles/carl9170.elf.dir/build.make carlfw/CMakeFiles/carl9170.elf.dir/build
.PHONY : carl9170.elf/fast

# Convenience name for target.
carlfw/CMakeFiles/firmware.dir/rule:
	cd /root/git/carl9170fw && $(MAKE) -f CMakeFiles/Makefile2 carlfw/CMakeFiles/firmware.dir/rule
.PHONY : carlfw/CMakeFiles/firmware.dir/rule

# Convenience name for target.
firmware: carlfw/CMakeFiles/firmware.dir/rule
.PHONY : firmware

# fast build rule for target.
firmware/fast:
	cd /root/git/carl9170fw && $(MAKE) -f carlfw/CMakeFiles/firmware.dir/build.make carlfw/CMakeFiles/firmware.dir/build
.PHONY : firmware/fast

src/cam.o: src/cam.c.o
.PHONY : src/cam.o

# target to build an object file
src/cam.c.o:
	cd /root/git/carl9170fw && $(MAKE) -f carlfw/CMakeFiles/carl9170.elf.dir/build.make carlfw/CMakeFiles/carl9170.elf.dir/src/cam.c.o
.PHONY : src/cam.c.o

src/cam.i: src/cam.c.i
.PHONY : src/cam.i

# target to preprocess a source file
src/cam.c.i:
	cd /root/git/carl9170fw && $(MAKE) -f carlfw/CMakeFiles/carl9170.elf.dir/build.make carlfw/CMakeFiles/carl9170.elf.dir/src/cam.c.i
.PHONY : src/cam.c.i

src/cam.s: src/cam.c.s
.PHONY : src/cam.s

# target to generate assembly for a file
src/cam.c.s:
	cd /root/git/carl9170fw && $(MAKE) -f carlfw/CMakeFiles/carl9170.elf.dir/build.make carlfw/CMakeFiles/carl9170.elf.dir/src/cam.c.s
.PHONY : src/cam.c.s

src/dma.o: src/dma.c.o
.PHONY : src/dma.o

# target to build an object file
src/dma.c.o:
	cd /root/git/carl9170fw && $(MAKE) -f carlfw/CMakeFiles/carl9170.elf.dir/build.make carlfw/CMakeFiles/carl9170.elf.dir/src/dma.c.o
.PHONY : src/dma.c.o

src/dma.i: src/dma.c.i
.PHONY : src/dma.i

# target to preprocess a source file
src/dma.c.i:
	cd /root/git/carl9170fw && $(MAKE) -f carlfw/CMakeFiles/carl9170.elf.dir/build.make carlfw/CMakeFiles/carl9170.elf.dir/src/dma.c.i
.PHONY : src/dma.c.i

src/dma.s: src/dma.c.s
.PHONY : src/dma.s

# target to generate assembly for a file
src/dma.c.s:
	cd /root/git/carl9170fw && $(MAKE) -f carlfw/CMakeFiles/carl9170.elf.dir/build.make carlfw/CMakeFiles/carl9170.elf.dir/src/dma.c.s
.PHONY : src/dma.c.s

src/fw.o: src/fw.c.o
.PHONY : src/fw.o

# target to build an object file
src/fw.c.o:
	cd /root/git/carl9170fw && $(MAKE) -f carlfw/CMakeFiles/carl9170.elf.dir/build.make carlfw/CMakeFiles/carl9170.elf.dir/src/fw.c.o
.PHONY : src/fw.c.o

src/fw.i: src/fw.c.i
.PHONY : src/fw.i

# target to preprocess a source file
src/fw.c.i:
	cd /root/git/carl9170fw && $(MAKE) -f carlfw/CMakeFiles/carl9170.elf.dir/build.make carlfw/CMakeFiles/carl9170.elf.dir/src/fw.c.i
.PHONY : src/fw.c.i

src/fw.s: src/fw.c.s
.PHONY : src/fw.s

# target to generate assembly for a file
src/fw.c.s:
	cd /root/git/carl9170fw && $(MAKE) -f carlfw/CMakeFiles/carl9170.elf.dir/build.make carlfw/CMakeFiles/carl9170.elf.dir/src/fw.c.s
.PHONY : src/fw.c.s

src/gpio.o: src/gpio.c.o
.PHONY : src/gpio.o

# target to build an object file
src/gpio.c.o:
	cd /root/git/carl9170fw && $(MAKE) -f carlfw/CMakeFiles/carl9170.elf.dir/build.make carlfw/CMakeFiles/carl9170.elf.dir/src/gpio.c.o
.PHONY : src/gpio.c.o

src/gpio.i: src/gpio.c.i
.PHONY : src/gpio.i

# target to preprocess a source file
src/gpio.c.i:
	cd /root/git/carl9170fw && $(MAKE) -f carlfw/CMakeFiles/carl9170.elf.dir/build.make carlfw/CMakeFiles/carl9170.elf.dir/src/gpio.c.i
.PHONY : src/gpio.c.i

src/gpio.s: src/gpio.c.s
.PHONY : src/gpio.s

# target to generate assembly for a file
src/gpio.c.s:
	cd /root/git/carl9170fw && $(MAKE) -f carlfw/CMakeFiles/carl9170.elf.dir/build.make carlfw/CMakeFiles/carl9170.elf.dir/src/gpio.c.s
.PHONY : src/gpio.c.s

src/hostif.o: src/hostif.c.o
.PHONY : src/hostif.o

# target to build an object file
src/hostif.c.o:
	cd /root/git/carl9170fw && $(MAKE) -f carlfw/CMakeFiles/carl9170.elf.dir/build.make carlfw/CMakeFiles/carl9170.elf.dir/src/hostif.c.o
.PHONY : src/hostif.c.o

src/hostif.i: src/hostif.c.i
.PHONY : src/hostif.i

# target to preprocess a source file
src/hostif.c.i:
	cd /root/git/carl9170fw && $(MAKE) -f carlfw/CMakeFiles/carl9170.elf.dir/build.make carlfw/CMakeFiles/carl9170.elf.dir/src/hostif.c.i
.PHONY : src/hostif.c.i

src/hostif.s: src/hostif.c.s
.PHONY : src/hostif.s

# target to generate assembly for a file
src/hostif.c.s:
	cd /root/git/carl9170fw && $(MAKE) -f carlfw/CMakeFiles/carl9170.elf.dir/build.make carlfw/CMakeFiles/carl9170.elf.dir/src/hostif.c.s
.PHONY : src/hostif.c.s

src/main.o: src/main.c.o
.PHONY : src/main.o

# target to build an object file
src/main.c.o:
	cd /root/git/carl9170fw && $(MAKE) -f carlfw/CMakeFiles/carl9170.elf.dir/build.make carlfw/CMakeFiles/carl9170.elf.dir/src/main.c.o
.PHONY : src/main.c.o

src/main.i: src/main.c.i
.PHONY : src/main.i

# target to preprocess a source file
src/main.c.i:
	cd /root/git/carl9170fw && $(MAKE) -f carlfw/CMakeFiles/carl9170.elf.dir/build.make carlfw/CMakeFiles/carl9170.elf.dir/src/main.c.i
.PHONY : src/main.c.i

src/main.s: src/main.c.s
.PHONY : src/main.s

# target to generate assembly for a file
src/main.c.s:
	cd /root/git/carl9170fw && $(MAKE) -f carlfw/CMakeFiles/carl9170.elf.dir/build.make carlfw/CMakeFiles/carl9170.elf.dir/src/main.c.s
.PHONY : src/main.c.s

src/memcpy.o: src/memcpy.S.o
.PHONY : src/memcpy.o

# target to build an object file
src/memcpy.S.o:
	cd /root/git/carl9170fw && $(MAKE) -f carlfw/CMakeFiles/carl9170.elf.dir/build.make carlfw/CMakeFiles/carl9170.elf.dir/src/memcpy.S.o
.PHONY : src/memcpy.S.o

src/memcpy.i: src/memcpy.S.i
.PHONY : src/memcpy.i

# target to preprocess a source file
src/memcpy.S.i:
	cd /root/git/carl9170fw && $(MAKE) -f carlfw/CMakeFiles/carl9170.elf.dir/build.make carlfw/CMakeFiles/carl9170.elf.dir/src/memcpy.S.i
.PHONY : src/memcpy.S.i

src/memcpy.s: src/memcpy.S.s
.PHONY : src/memcpy.s

# target to generate assembly for a file
src/memcpy.S.s:
	cd /root/git/carl9170fw && $(MAKE) -f carlfw/CMakeFiles/carl9170.elf.dir/build.make carlfw/CMakeFiles/carl9170.elf.dir/src/memcpy.S.s
.PHONY : src/memcpy.S.s

src/memset.o: src/memset.S.o
.PHONY : src/memset.o

# target to build an object file
src/memset.S.o:
	cd /root/git/carl9170fw && $(MAKE) -f carlfw/CMakeFiles/carl9170.elf.dir/build.make carlfw/CMakeFiles/carl9170.elf.dir/src/memset.S.o
.PHONY : src/memset.S.o

src/memset.i: src/memset.S.i
.PHONY : src/memset.i

# target to preprocess a source file
src/memset.S.i:
	cd /root/git/carl9170fw && $(MAKE) -f carlfw/CMakeFiles/carl9170.elf.dir/build.make carlfw/CMakeFiles/carl9170.elf.dir/src/memset.S.i
.PHONY : src/memset.S.i

src/memset.s: src/memset.S.s
.PHONY : src/memset.s

# target to generate assembly for a file
src/memset.S.s:
	cd /root/git/carl9170fw && $(MAKE) -f carlfw/CMakeFiles/carl9170.elf.dir/build.make carlfw/CMakeFiles/carl9170.elf.dir/src/memset.S.s
.PHONY : src/memset.S.s

src/printf.o: src/printf.c.o
.PHONY : src/printf.o

# target to build an object file
src/printf.c.o:
	cd /root/git/carl9170fw && $(MAKE) -f carlfw/CMakeFiles/carl9170.elf.dir/build.make carlfw/CMakeFiles/carl9170.elf.dir/src/printf.c.o
.PHONY : src/printf.c.o

src/printf.i: src/printf.c.i
.PHONY : src/printf.i

# target to preprocess a source file
src/printf.c.i:
	cd /root/git/carl9170fw && $(MAKE) -f carlfw/CMakeFiles/carl9170.elf.dir/build.make carlfw/CMakeFiles/carl9170.elf.dir/src/printf.c.i
.PHONY : src/printf.c.i

src/printf.s: src/printf.c.s
.PHONY : src/printf.s

# target to generate assembly for a file
src/printf.c.s:
	cd /root/git/carl9170fw && $(MAKE) -f carlfw/CMakeFiles/carl9170.elf.dir/build.make carlfw/CMakeFiles/carl9170.elf.dir/src/printf.c.s
.PHONY : src/printf.c.s

src/reboot.o: src/reboot.S.o
.PHONY : src/reboot.o

# target to build an object file
src/reboot.S.o:
	cd /root/git/carl9170fw && $(MAKE) -f carlfw/CMakeFiles/carl9170.elf.dir/build.make carlfw/CMakeFiles/carl9170.elf.dir/src/reboot.S.o
.PHONY : src/reboot.S.o

src/reboot.i: src/reboot.S.i
.PHONY : src/reboot.i

# target to preprocess a source file
src/reboot.S.i:
	cd /root/git/carl9170fw && $(MAKE) -f carlfw/CMakeFiles/carl9170.elf.dir/build.make carlfw/CMakeFiles/carl9170.elf.dir/src/reboot.S.i
.PHONY : src/reboot.S.i

src/reboot.s: src/reboot.S.s
.PHONY : src/reboot.s

# target to generate assembly for a file
src/reboot.S.s:
	cd /root/git/carl9170fw && $(MAKE) -f carlfw/CMakeFiles/carl9170.elf.dir/build.make carlfw/CMakeFiles/carl9170.elf.dir/src/reboot.S.s
.PHONY : src/reboot.S.s

src/rf.o: src/rf.c.o
.PHONY : src/rf.o

# target to build an object file
src/rf.c.o:
	cd /root/git/carl9170fw && $(MAKE) -f carlfw/CMakeFiles/carl9170.elf.dir/build.make carlfw/CMakeFiles/carl9170.elf.dir/src/rf.c.o
.PHONY : src/rf.c.o

src/rf.i: src/rf.c.i
.PHONY : src/rf.i

=== config/CMakeLists.txt ===
cmake_minimum_required(VERSION 2.8.4)

project(config)

#set(CMAKE_VERBOSE_MAKEFILE ON)

find_package(BISON REQUIRED)
find_package(FLEX REQUIRED)

include_directories(${CMAKE_CURRENT_SOURCE_DIR})

file(MAKE_DIRECTORY "${CMAKE_CURRENT_SOURCE_DIR}/../include/generated")

LIST(APPEND CMAKE_MODULE_PATH "${CMAKE_CURRENT_SOURCE_DIR}/../extra")
FIND_PACKAGE(GPERF REQUIRED)

BISON_TARGET(zconf zconf.y zconf.tab.c COMPILE_FLAGS "-l -b zconf -p zconf -t")
FLEX_TARGET(zconfscan zconf.l zconf.lex.c COMPILE_FLAGS "-Pzconf -L")
GPERF_TARGET(zconfhash zconf.gperf zconf.hash.c)

SET(zconf_deps ${FLEX_zconfscan_OUTPUTS} ${GPERF_zconfhash_OUTPUTS})
SET_SOURCE_FILES_PROPERTIES(${BISON_zconf_OUTPUTS}
      PROPERTIES OBJECT_DEPENDS "${zconf_deps}")

set(conf_src conf.c ${BISON_zconf_OUTPUTS})

add_executable(conf ${conf_src})

=== config/Makefile ===
# CMAKE generated file: DO NOT EDIT!
# Generated by "Unix Makefiles" Generator, CMake Version 2.8

# Default target executed when no arguments are given to make.
default_target: all
.PHONY : default_target

#=============================================================================
# Special targets provided by cmake.

# Disable implicit rules so canonical targets will work.
.SUFFIXES:

# Remove some rules from gmake that .SUFFIXES does not remove.
SUFFIXES =

.SUFFIXES: .hpux_make_needs_suffix_list

# Suppress display of executed commands.
$(VERBOSE).SILENT:

# A target that is always out of date.
cmake_force:
.PHONY : cmake_force

#=============================================================================
# Set environment variables for the build.

# The shell in which to execute make rules.
SHELL = /bin/sh

# The CMake executable.
CMAKE_COMMAND = /usr/bin/cmake

# The command to remove a file.
RM = /usr/bin/cmake -E remove -f

# The top-level source directory on which CMake was run.
CMAKE_SOURCE_DIR = /root/git/carl9170fw/config

# The top-level build directory on which CMake was run.
CMAKE_BINARY_DIR = /root/git/carl9170fw/config

#=============================================================================
# Targets provided globally by CMake.

# Special rule for the target edit_cache
edit_cache:
	@$(CMAKE_COMMAND) -E cmake_echo_color --switch=$(COLOR) --cyan "Running interactive CMake command-line interface..."
	/usr/bin/cmake -i .
.PHONY : edit_cache

# Special rule for the target edit_cache
edit_cache/fast: edit_cache
.PHONY : edit_cache/fast

# Special rule for the target rebuild_cache
rebuild_cache:
	@$(CMAKE_COMMAND) -E cmake_echo_color --switch=$(COLOR) --cyan "Running CMake to regenerate build system..."
	/usr/bin/cmake -H$(CMAKE_SOURCE_DIR) -B$(CMAKE_BINARY_DIR)
.PHONY : rebuild_cache

# Special rule for the target rebuild_cache
rebuild_cache/fast: rebuild_cache
.PHONY : rebuild_cache/fast

# The main all target
all: cmake_check_build_system
	$(CMAKE_COMMAND) -E cmake_progress_start /root/git/carl9170fw/config/CMakeFiles /root/git/carl9170fw/config/CMakeFiles/progress.marks
	$(MAKE) -f CMakeFiles/Makefile2 all
	$(CMAKE_COMMAND) -E cmake_progress_start /root/git/carl9170fw/config/CMakeFiles 0
.PHONY : all

# The main clean target
clean:
	$(MAKE) -f CMakeFiles/Makefile2 clean
.PHONY : clean

# The main clean target
clean/fast: clean
.PHONY : clean/fast

# Prepare targets for installation.
preinstall: all
	$(MAKE) -f CMakeFiles/Makefile2 preinstall
.PHONY : preinstall

# Prepare targets for installation.
preinstall/fast:
	$(MAKE) -f CMakeFiles/Makefile2 preinstall
.PHONY : preinstall/fast

# clear depends
depend:
	$(CMAKE_COMMAND) -H$(CMAKE_SOURCE_DIR) -B$(CMAKE_BINARY_DIR) --check-build-system CMakeFiles/Makefile.cmake 1
.PHONY : depend

#=============================================================================
# Target rules for targets named conf

# Build rule for target.
conf: cmake_check_build_system
	$(MAKE) -f CMakeFiles/Makefile2 conf
.PHONY : conf

# fast build rule for target.
conf/fast:
	$(MAKE) -f CMakeFiles/conf.dir/build.make CMakeFiles/conf.dir/build
.PHONY : conf/fast

conf.o: conf.c.o
.PHONY : conf.o

# target to build an object file
conf.c.o:
	$(MAKE) -f CMakeFiles/conf.dir/build.make CMakeFiles/conf.dir/conf.c.o
.PHONY : conf.c.o

conf.i: conf.c.i
.PHONY : conf.i

# target to preprocess a source file
conf.c.i:
	$(MAKE) -f CMakeFiles/conf.dir/build.make CMakeFiles/conf.dir/conf.c.i
.PHONY : conf.c.i

conf.s: conf.c.s
.PHONY : conf.s

# target to generate assembly for a file
conf.c.s:
	$(MAKE) -f CMakeFiles/conf.dir/build.make CMakeFiles/conf.dir/conf.c.s
.PHONY : conf.c.s

zconf.tab.o: zconf.tab.c.o
.PHONY : zconf.tab.o

# target to build an object file
zconf.tab.c.o:
	$(MAKE) -f CMakeFiles/conf.dir/build.make CMakeFiles/conf.dir/zconf.tab.c.o
.PHONY : zconf.tab.c.o

zconf.tab.i: zconf.tab.c.i
.PHONY : zconf.tab.i

# target to preprocess a source file
zconf.tab.c.i:
	$(MAKE) -f CMakeFiles/conf.dir/build.make CMakeFiles/conf.dir/zconf.tab.c.i
.PHONY : zconf.tab.c.i

zconf.tab.s: zconf.tab.c.s
.PHONY : zconf.tab.s

# target to generate assembly for a file
zconf.tab.c.s:
	$(MAKE) -f CMakeFiles/conf.dir/build.make CMakeFiles/conf.dir/zconf.tab.c.s
.PHONY : zconf.tab.c.s

# Help Target
help:
	@echo "The following are some of the valid targets for this Makefile:"
	@echo "... all (the default if no target is provided)"
	@echo "... clean"
	@echo "... depend"
	@echo "... conf"
	@echo "... edit_cache"
	@echo "... rebuild_cache"
	@echo "... conf.o"
	@echo "... conf.i"
	@echo "... conf.s"
	@echo "... zconf.tab.o"
	@echo "... zconf.tab.i"
	@echo "... zconf.tab.s"
.PHONY : help



#=============================================================================
# Special targets to cleanup operation of make.

# Special rule to run CMake to check the build system integrity.
# No rule that depends on this can have commands that come from listfiles
# because they might be regenerated.
cmake_check_build_system:
	$(CMAKE_COMMAND) -H$(CMAKE_SOURCE_DIR) -B$(CMAKE_BINARY_DIR) --check-build-system CMakeFiles/Makefile.cmake 0
.PHONY : cmake_check_build_system

=== minifw/Makefile ===
# CMAKE generated file: DO NOT EDIT!
# Generated by "Unix Makefiles" Generator, CMake Version 2.8

# Default target executed when no arguments are given to make.
default_target: all
.PHONY : default_target

#=============================================================================
# Special targets provided by cmake.

# Disable implicit rules so canonical targets will work.
.SUFFIXES:

# Remove some rules from gmake that .SUFFIXES does not remove.
SUFFIXES =

.SUFFIXES: .hpux_make_needs_suffix_list

# Suppress display of executed commands.
$(VERBOSE).SILENT:

# A target that is always out of date.
cmake_force:
.PHONY : cmake_force

#=============================================================================
# Set environment variables for the build.

# The shell in which to execute make rules.
SHELL = /bin/sh

# The CMake executable.
CMAKE_COMMAND = /usr/bin/cmake

# The command to remove a file.
RM = /usr/bin/cmake -E remove -f

# The top-level source directory on which CMake was run.
CMAKE_SOURCE_DIR = /root/git/carl9170fw

# The top-level build directory on which CMake was run.
CMAKE_BINARY_DIR = /root/git/carl9170fw

#=============================================================================
# Targets provided globally by CMake.

# Special rule for the target edit_cache
edit_cache:
	@$(CMAKE_COMMAND) -E cmake_echo_color --switch=$(COLOR) --cyan "Running interactive CMake command-line interface..."
	/usr/bin/cmake -i .
.PHONY : edit_cache

# Special rule for the target edit_cache
edit_cache/fast: edit_cache
.PHONY : edit_cache/fast

# Special rule for the target rebuild_cache
rebuild_cache:
	@$(CMAKE_COMMAND) -E cmake_echo_color --switch=$(COLOR) --cyan "Running CMake to regenerate build system..."
	/usr/bin/cmake -H$(CMAKE_SOURCE_DIR) -B$(CMAKE_BINARY_DIR)
.PHONY : rebuild_cache

# Special rule for the target rebuild_cache
rebuild_cache/fast: rebuild_cache
.PHONY : rebuild_cache/fast

# The main all target
all: cmake_check_build_system
	cd /root/git/carl9170fw && $(CMAKE_COMMAND) -E cmake_progress_start /root/git/carl9170fw/CMakeFiles /root/git/carl9170fw/minifw/CMakeFiles/progress.marks
	cd /root/git/carl9170fw && $(MAKE) -f CMakeFiles/Makefile2 minifw/all
	$(CMAKE_COMMAND) -E cmake_progress_start /root/git/carl9170fw/CMakeFiles 0
.PHONY : all

# The main clean target
clean:
	cd /root/git/carl9170fw && $(MAKE) -f CMakeFiles/Makefile2 minifw/clean
.PHONY : clean

# The main clean target
clean/fast: clean
.PHONY : clean/fast

# Prepare targets for installation.
preinstall: all
	cd /root/git/carl9170fw && $(MAKE) -f CMakeFiles/Makefile2 minifw/preinstall
.PHONY : preinstall

# Prepare targets for installation.
preinstall/fast:
	cd /root/git/carl9170fw && $(MAKE) -f CMakeFiles/Makefile2 minifw/preinstall
.PHONY : preinstall/fast

# clear depends
depend:
	cd /root/git/carl9170fw && $(CMAKE_COMMAND) -H$(CMAKE_SOURCE_DIR) -B$(CMAKE_BINARY_DIR) --check-build-system CMakeFiles/Makefile.cmake 1
.PHONY : depend

# Convenience name for target.
minifw/CMakeFiles/miniboot.elf.dir/rule:
	cd /root/git/carl9170fw && $(MAKE) -f CMakeFiles/Makefile2 minifw/CMakeFiles/miniboot.elf.dir/rule
.PHONY : minifw/CMakeFiles/miniboot.elf.dir/rule

# Convenience name for target.
miniboot.elf: minifw/CMakeFiles/miniboot.elf.dir/rule
.PHONY : miniboot.elf

# fast build rule for target.
miniboot.elf/fast:
	cd /root/git/carl9170fw && $(MAKE) -f minifw/CMakeFiles/miniboot.elf.dir/build.make minifw/CMakeFiles/miniboot.elf.dir/build
.PHONY : miniboot.elf/fast

# Convenience name for target.
minifw/CMakeFiles/miniboot.fw.dir/rule:
	cd /root/git/carl9170fw && $(MAKE) -f CMakeFiles/Makefile2 minifw/CMakeFiles/miniboot.fw.dir/rule
.PHONY : minifw/CMakeFiles/miniboot.fw.dir/rule

# Convenience name for target.
miniboot.fw: minifw/CMakeFiles/miniboot.fw.dir/rule
.PHONY : miniboot.fw

# fast build rule for target.
miniboot.fw/fast:
	cd /root/git/carl9170fw && $(MAKE) -f minifw/CMakeFiles/miniboot.fw.dir/build.make minifw/CMakeFiles/miniboot.fw.dir/build
.PHONY : miniboot.fw/fast

miniboot.o: miniboot.S.o
.PHONY : miniboot.o

# target to build an object file
miniboot.S.o:
	cd /root/git/carl9170fw && $(MAKE) -f minifw/CMakeFiles/miniboot.elf.dir/build.make minifw/CMakeFiles/miniboot.elf.dir/miniboot.S.o
.PHONY : miniboot.S.o

miniboot.i: miniboot.S.i
.PHONY : miniboot.i

# target to preprocess a source file
miniboot.S.i:
	cd /root/git/carl9170fw && $(MAKE) -f minifw/CMakeFiles/miniboot.elf.dir/build.make minifw/CMakeFiles/miniboot.elf.dir/miniboot.S.i
.PHONY : miniboot.S.i

miniboot.s: miniboot.S.s
.PHONY : miniboot.s

# target to generate assembly for a file
miniboot.S.s:
	cd /root/git/carl9170fw && $(MAKE) -f minifw/CMakeFiles/miniboot.elf.dir/build.make minifw/CMakeFiles/miniboot.elf.dir/miniboot.S.s
.PHONY : miniboot.S.s

# Help Target
help:
	@echo "The following are some of the valid targets for this Makefile:"
	@echo "... all (the default if no target is provided)"
	@echo "... clean"
	@echo "... depend"
	@echo "... edit_cache"
	@echo "... miniboot.elf"
	@echo "... miniboot.fw"
	@echo "... rebuild_cache"
	@echo "... miniboot.o"
	@echo "... miniboot.i"
	@echo "... miniboot.s"
.PHONY : help



#=============================================================================
# Special targets to cleanup operation of make.

# Special rule to run CMake to check the build system integrity.
# No rule that depends on this can have commands that come from listfiles
# because they might be regenerated.
cmake_check_build_system:
	cd /root/git/carl9170fw && $(CMAKE_COMMAND) -H$(CMAKE_SOURCE_DIR) -B$(CMAKE_BINARY_DIR) --check-build-system CMakeFiles/Makefile.cmake 0
.PHONY : cmake_check_build_system

=== toolchain/Makefile ===
BINUTILS_VER=2.24
BINUTILS_TAR=binutils-$(BINUTILS_VER).tar.bz2
BINUTILS_URL="http://mirrors.kernel.org/gnu/binutils/$(BINUTILS_TAR)"

NEWLIB_VER=2.0.0
NEWLIB_TAR=newlib-$(NEWLIB_VER).tar.gz
NEWLIB_URL="ftp://sourceware.org/pub/newlib/$(NEWLIB_TAR)"

GCC_VER=4.8.2
GCC_TAR=gcc-$(GCC_VER).tar.bz2
GCC_URL="http://mirrors.kernel.org/gnu/gcc/gcc-$(GCC_VER)/$(GCC_TAR)"

JOBS?=$(shell grep -c ^processor /proc/cpuinfo)

BASEDIR=$(shell pwd)

define checksum
@if grep -q '  $(subst .,\.,$(1))$$' SHA256SUMS; then			\
	grep '  $(subst .,\.,$(1))$$' SHA256SUMS | sha256sum -c || rm $(1);	\
else									\
	echo "WARNING: no checksum defined for $(1)";			\
fi
endef

all: clean gcc

src/$(BINUTILS_TAR):
	wget -P "$(BASEDIR)/src" $(BINUTILS_URL)
	$(call checksum,$@)

src/$(NEWLIB_TAR):
	wget -P "$(BASEDIR)/src" $(NEWLIB_URL)
	$(call checksum,$@)

src/$(GCC_TAR):
	wget -P "$(BASEDIR)/src" $(GCC_URL)
	$(call checksum,$@)

src/binutils-$(BINUTILS_VER): src/$(BINUTILS_TAR)
	tar -C "$(BASEDIR)/src" -xf $<

src/newlib-$(NEWLIB_VER): src/$(NEWLIB_TAR)
	tar -C "$(BASEDIR)/src" -xf $<

src/gcc-$(GCC_VER): src/$(GCC_TAR) src/newlib-$(NEWLIB_VER)
	tar -C "$(BASEDIR)/src" -xf $<
	ln -s $(BASEDIR)/src/newlib-$(NEWLIB_VER)/newlib $@
	ln -s $(BASEDIR)/src/newlib-$(NEWLIB_VER)/libgloss $@

binutils: src/binutils-$(BINUTILS_VER)
	mkdir -p "$(BASEDIR)/build/binutils"
	cd "$(BASEDIR)/build/binutils"; \
	$(BASEDIR)/$</configure --target=sh-elf --prefix=$(BASEDIR)/inst; \
	$(MAKE) -j$(JOBS); \
	$(MAKE) install

gcc: src/gcc-$(GCC_VER) binutils
	mkdir -p "$(BASEDIR)/build/gcc"
	cd "$(BASEDIR)/build/gcc"; \
	$(BASEDIR)/$</configure --target=sh-elf --prefix=$(BASEDIR)/inst -enable-languages=c --without-pkgversion --with-newlib; \
	$(MAKE) -j$(JOBS); \
	$(MAKE) install

clean:
	rm -rf "$(BASEDIR)/build" "$(BASEDIR)/inst"
	
distclean: clean
	rm -rf "$(BASEDIR)/src"

=== tools/CMakeLists.txt ===
cmake_minimum_required(VERSION 2.8)

project(tools)

if (CONFIG_CARL9170FW_MAKE_RELEASE)
	set(CMAKE_BUILD_TYPE Release)
endif (CONFIG_CARL9170FW_MAKE_RELEASE)

set(CMAKE_MODULE_PATH ${CMAKE_SOURCE_DIR}/extra)

include(GCCVersion)
include("../config.cmake")

_COMPILER_DUMPVERSION(_COMPILER_VERSION)

if (("${_COMPILER_VERSION}" VERSION_GREATER 44) OR
    ("${_COMPILER_VERSION}" VERSION_EQUAL 44))

	include_directories (../include/linux ../include/shared ../include lib include)
	add_subdirectory(lib)
	add_subdirectory(src)
endif ()

=== tools/Makefile ===
# CMAKE generated file: DO NOT EDIT!
# Generated by "Unix Makefiles" Generator, CMake Version 2.8

# Default target executed when no arguments are given to make.
default_target: all
.PHONY : default_target

#=============================================================================
# Special targets provided by cmake.

# Disable implicit rules so canonical targets will work.
.SUFFIXES:

# Remove some rules from gmake that .SUFFIXES does not remove.
SUFFIXES =

.SUFFIXES: .hpux_make_needs_suffix_list

# Suppress display of executed commands.
$(VERBOSE).SILENT:

# A target that is always out of date.
cmake_force:
.PHONY : cmake_force

#=============================================================================
# Set environment variables for the build.

# The shell in which to execute make rules.
SHELL = /bin/sh

# The CMake executable.
CMAKE_COMMAND = /usr/bin/cmake

# The command to remove a file.
RM = /usr/bin/cmake -E remove -f

# The top-level source directory on which CMake was run.
CMAKE_SOURCE_DIR = /root/git/carl9170fw

# The top-level build directory on which CMake was run.
CMAKE_BINARY_DIR = /root/git/carl9170fw

#=============================================================================
# Targets provided globally by CMake.

# Special rule for the target edit_cache
edit_cache:
	@$(CMAKE_COMMAND) -E cmake_echo_color --switch=$(COLOR) --cyan "Running interactive CMake command-line interface..."
	/usr/bin/cmake -i .
.PHONY : edit_cache

# Special rule for the target edit_cache
edit_cache/fast: edit_cache
.PHONY : edit_cache/fast

# Special rule for the target rebuild_cache
rebuild_cache:
	@$(CMAKE_COMMAND) -E cmake_echo_color --switch=$(COLOR) --cyan "Running CMake to regenerate build system..."
	/usr/bin/cmake -H$(CMAKE_SOURCE_DIR) -B$(CMAKE_BINARY_DIR)
.PHONY : rebuild_cache

# Special rule for the target rebuild_cache
rebuild_cache/fast: rebuild_cache
.PHONY : rebuild_cache/fast

# The main all target
all: cmake_check_build_system
	cd /root/git/carl9170fw && $(CMAKE_COMMAND) -E cmake_progress_start /root/git/carl9170fw/CMakeFiles /root/git/carl9170fw/tools/CMakeFiles/progress.marks
	cd /root/git/carl9170fw && $(MAKE) -f CMakeFiles/Makefile2 tools/all
	$(CMAKE_COMMAND) -E cmake_progress_start /root/git/carl9170fw/CMakeFiles 0
.PHONY : all

# The main clean target
clean:
	cd /root/git/carl9170fw && $(MAKE) -f CMakeFiles/Makefile2 tools/clean
.PHONY : clean

# The main clean target
clean/fast: clean
.PHONY : clean/fast

# Prepare targets for installation.
preinstall: all
	cd /root/git/carl9170fw && $(MAKE) -f CMakeFiles/Makefile2 tools/preinstall
.PHONY : preinstall

# Prepare targets for installation.
preinstall/fast:
	cd /root/git/carl9170fw && $(MAKE) -f CMakeFiles/Makefile2 tools/preinstall
.PHONY : preinstall/fast

# clear depends
depend:
	cd /root/git/carl9170fw && $(CMAKE_COMMAND) -H$(CMAKE_SOURCE_DIR) -B$(CMAKE_BINARY_DIR) --check-build-system CMakeFiles/Makefile.cmake 1
.PHONY : depend

# Help Target
help:
	@echo "The following are some of the valid targets for this Makefile:"
	@echo "... all (the default if no target is provided)"
	@echo "... clean"
	@echo "... depend"
	@echo "... edit_cache"
	@echo "... rebuild_cache"
.PHONY : help



#=============================================================================
# Special targets to cleanup operation of make.

# Special rule to run CMake to check the build system integrity.
# No rule that depends on this can have commands that come from listfiles
# because they might be regenerated.
cmake_check_build_system:
	cd /root/git/carl9170fw && $(CMAKE_COMMAND) -H$(CMAKE_SOURCE_DIR) -B$(CMAKE_BINARY_DIR) --check-build-system CMakeFiles/Makefile.cmake 0
.PHONY : cmake_check_build_system

=== tools/lib/Makefile ===
# CMAKE generated file: DO NOT EDIT!
# Generated by "Unix Makefiles" Generator, CMake Version 2.8

# Default target executed when no arguments are given to make.
default_target: all
.PHONY : default_target

#=============================================================================
# Special targets provided by cmake.

# Disable implicit rules so canonical targets will work.
.SUFFIXES:

# Remove some rules from gmake that .SUFFIXES does not remove.
SUFFIXES =

.SUFFIXES: .hpux_make_needs_suffix_list

# Suppress display of executed commands.
$(VERBOSE).SILENT:

# A target that is always out of date.
cmake_force:
.PHONY : cmake_force

#=============================================================================
# Set environment variables for the build.

# The shell in which to execute make rules.
SHELL = /bin/sh

# The CMake executable.
CMAKE_COMMAND = /usr/bin/cmake

# The command to remove a file.
RM = /usr/bin/cmake -E remove -f

# The top-level source directory on which CMake was run.
CMAKE_SOURCE_DIR = /root/git/carl9170fw

# The top-level build directory on which CMake was run.
CMAKE_BINARY_DIR = /root/git/carl9170fw

#=============================================================================
# Targets provided globally by CMake.

# Special rule for the target edit_cache
edit_cache:
	@$(CMAKE_COMMAND) -E cmake_echo_color --switch=$(COLOR) --cyan "Running interactive CMake command-line interface..."
	/usr/bin/cmake -i .
.PHONY : edit_cache

# Special rule for the target edit_cache
edit_cache/fast: edit_cache
.PHONY : edit_cache/fast

# Special rule for the target rebuild_cache
rebuild_cache:
	@$(CMAKE_COMMAND) -E cmake_echo_color --switch=$(COLOR) --cyan "Running CMake to regenerate build system..."
	/usr/bin/cmake -H$(CMAKE_SOURCE_DIR) -B$(CMAKE_BINARY_DIR)
.PHONY : rebuild_cache

# Special rule for the target rebuild_cache
rebuild_cache/fast: rebuild_cache
.PHONY : rebuild_cache/fast

# The main all target
all: cmake_check_build_system
	cd /root/git/carl9170fw && $(CMAKE_COMMAND) -E cmake_progress_start /root/git/carl9170fw/CMakeFiles /root/git/carl9170fw/tools/lib/CMakeFiles/progress.marks
	cd /root/git/carl9170fw && $(MAKE) -f CMakeFiles/Makefile2 tools/lib/all
	$(CMAKE_COMMAND) -E cmake_progress_start /root/git/carl9170fw/CMakeFiles 0
.PHONY : all

# The main clean target
clean:
	cd /root/git/carl9170fw && $(MAKE) -f CMakeFiles/Makefile2 tools/lib/clean
.PHONY : clean

# The main clean target
clean/fast: clean
.PHONY : clean/fast

# Prepare targets for installation.
preinstall: all
	cd /root/git/carl9170fw && $(MAKE) -f CMakeFiles/Makefile2 tools/lib/preinstall
.PHONY : preinstall

# Prepare targets for installation.
preinstall/fast:
	cd /root/git/carl9170fw && $(MAKE) -f CMakeFiles/Makefile2 tools/lib/preinstall
.PHONY : preinstall/fast

# clear depends
depend:
	cd /root/git/carl9170fw && $(CMAKE_COMMAND) -H$(CMAKE_SOURCE_DIR) -B$(CMAKE_BINARY_DIR) --check-build-system CMakeFiles/Makefile.cmake 1
.PHONY : depend

# Convenience name for target.
tools/lib/CMakeFiles/carlfw.dir/rule:
	cd /root/git/carl9170fw && $(MAKE) -f CMakeFiles/Makefile2 tools/lib/CMakeFiles/carlfw.dir/rule
.PHONY : tools/lib/CMakeFiles/carlfw.dir/rule

# Convenience name for target.
carlfw: tools/lib/CMakeFiles/carlfw.dir/rule
.PHONY : carlfw

# fast build rule for target.
carlfw/fast:
	cd /root/git/carl9170fw && $(MAKE) -f tools/lib/CMakeFiles/carlfw.dir/build.make tools/lib/CMakeFiles/carlfw.dir/build
.PHONY : carlfw/fast

carlfw.o: carlfw.c.o
.PHONY : carlfw.o

# target to build an object file
carlfw.c.o:
	cd /root/git/carl9170fw && $(MAKE) -f tools/lib/CMakeFiles/carlfw.dir/build.make tools/lib/CMakeFiles/carlfw.dir/carlfw.c.o
.PHONY : carlfw.c.o

carlfw.i: carlfw.c.i
.PHONY : carlfw.i

# target to preprocess a source file
carlfw.c.i:
	cd /root/git/carl9170fw && $(MAKE) -f tools/lib/CMakeFiles/carlfw.dir/build.make tools/lib/CMakeFiles/carlfw.dir/carlfw.c.i
.PHONY : carlfw.c.i

carlfw.s: carlfw.c.s
.PHONY : carlfw.s

# target to generate assembly for a file
carlfw.c.s:
	cd /root/git/carl9170fw && $(MAKE) -f tools/lib/CMakeFiles/carlfw.dir/build.make tools/lib/CMakeFiles/carlfw.dir/carlfw.c.s
.PHONY : carlfw.c.s

# Help Target
help:
	@echo "The following are some of the valid targets for this Makefile:"
	@echo "... all (the default if no target is provided)"
	@echo "... clean"
	@echo "... depend"
	@echo "... carlfw"
	@echo "... edit_cache"
	@echo "... rebuild_cache"
	@echo "... carlfw.o"
	@echo "... carlfw.i"
	@echo "... carlfw.s"
.PHONY : help



#=============================================================================
# Special targets to cleanup operation of make.

# Special rule to run CMake to check the build system integrity.
# No rule that depends on this can have commands that come from listfiles
# because they might be regenerated.
cmake_check_build_system:
	cd /root/git/carl9170fw && $(CMAKE_COMMAND) -H$(CMAKE_SOURCE_DIR) -B$(CMAKE_BINARY_DIR) --check-build-system CMakeFiles/Makefile.cmake 0
.PHONY : cmake_check_build_system

=== tools/src/CMakeLists.txt ===
cmake_minimum_required(VERSION 2.8)

project(tools)

add_custom_target(wol ALL COMMAND gcc wol.c -o wol)

set(tools fwinfo miniboot checksum)

foreach(tool ${tools})
	add_executable( ${tool} ${tool}.c )
	add_definitions("-std=gnu99 -Wall -Wextra -Wshadow")
	target_link_libraries( ${tool} carlfw )
endforeach()

=== tools/src/Makefile ===
# CMAKE generated file: DO NOT EDIT!
# Generated by "Unix Makefiles" Generator, CMake Version 2.8

# Default target executed when no arguments are given to make.
default_target: all
.PHONY : default_target

#=============================================================================
# Special targets provided by cmake.

# Disable implicit rules so canonical targets will work.
.SUFFIXES:

# Remove some rules from gmake that .SUFFIXES does not remove.
SUFFIXES =

.SUFFIXES: .hpux_make_needs_suffix_list

# Suppress display of executed commands.
$(VERBOSE).SILENT:

# A target that is always out of date.
cmake_force:
.PHONY : cmake_force

#=============================================================================
# Set environment variables for the build.

# The shell in which to execute make rules.
SHELL = /bin/sh

# The CMake executable.
CMAKE_COMMAND = /usr/bin/cmake

# The command to remove a file.
RM = /usr/bin/cmake -E remove -f

# The top-level source directory on which CMake was run.
CMAKE_SOURCE_DIR = /root/git/carl9170fw

# The top-level build directory on which CMake was run.
CMAKE_BINARY_DIR = /root/git/carl9170fw

#=============================================================================
# Targets provided globally by CMake.

# Special rule for the target edit_cache
edit_cache:
	@$(CMAKE_COMMAND) -E cmake_echo_color --switch=$(COLOR) --cyan "Running interactive CMake command-line interface..."
	/usr/bin/cmake -i .
.PHONY : edit_cache

# Special rule for the target edit_cache
edit_cache/fast: edit_cache
.PHONY : edit_cache/fast

# Special rule for the target rebuild_cache
rebuild_cache:
	@$(CMAKE_COMMAND) -E cmake_echo_color --switch=$(COLOR) --cyan "Running CMake to regenerate build system..."
	/usr/bin/cmake -H$(CMAKE_SOURCE_DIR) -B$(CMAKE_BINARY_DIR)
.PHONY : rebuild_cache

# Special rule for the target rebuild_cache
rebuild_cache/fast: rebuild_cache
.PHONY : rebuild_cache/fast

# The main all target
all: cmake_check_build_system
	cd /root/git/carl9170fw && $(CMAKE_COMMAND) -E cmake_progress_start /root/git/carl9170fw/CMakeFiles /root/git/carl9170fw/tools/src/CMakeFiles/progress.marks
	cd /root/git/carl9170fw && $(MAKE) -f CMakeFiles/Makefile2 tools/src/all
	$(CMAKE_COMMAND) -E cmake_progress_start /root/git/carl9170fw/CMakeFiles 0
.PHONY : all

# The main clean target
clean:
	cd /root/git/carl9170fw && $(MAKE) -f CMakeFiles/Makefile2 tools/src/clean
.PHONY : clean

# The main clean target
clean/fast: clean
.PHONY : clean/fast

# Prepare targets for installation.
preinstall: all
	cd /root/git/carl9170fw && $(MAKE) -f CMakeFiles/Makefile2 tools/src/preinstall
.PHONY : preinstall

# Prepare targets for installation.
preinstall/fast:
	cd /root/git/carl9170fw && $(MAKE) -f CMakeFiles/Makefile2 tools/src/preinstall
.PHONY : preinstall/fast

# clear depends
depend:
	cd /root/git/carl9170fw && $(CMAKE_COMMAND) -H$(CMAKE_SOURCE_DIR) -B$(CMAKE_BINARY_DIR) --check-build-system CMakeFiles/Makefile.cmake 1
.PHONY : depend

# Convenience name for target.
tools/src/CMakeFiles/checksum.dir/rule:
	cd /root/git/carl9170fw && $(MAKE) -f CMakeFiles/Makefile2 tools/src/CMakeFiles/checksum.dir/rule
.PHONY : tools/src/CMakeFiles/checksum.dir/rule

# Convenience name for target.
checksum: tools/src/CMakeFiles/checksum.dir/rule
.PHONY : checksum

# fast build rule for target.
checksum/fast:
	cd /root/git/carl9170fw && $(MAKE) -f tools/src/CMakeFiles/checksum.dir/build.make tools/src/CMakeFiles/checksum.dir/build
.PHONY : checksum/fast

# Convenience name for target.
tools/src/CMakeFiles/fwinfo.dir/rule:
	cd /root/git/carl9170fw && $(MAKE) -f CMakeFiles/Makefile2 tools/src/CMakeFiles/fwinfo.dir/rule
.PHONY : tools/src/CMakeFiles/fwinfo.dir/rule

# Convenience name for target.
fwinfo: tools/src/CMakeFiles/fwinfo.dir/rule
.PHONY : fwinfo

# fast build rule for target.
fwinfo/fast:
	cd /root/git/carl9170fw && $(MAKE) -f tools/src/CMakeFiles/fwinfo.dir/build.make tools/src/CMakeFiles/fwinfo.dir/build
.PHONY : fwinfo/fast

# Convenience name for target.
tools/src/CMakeFiles/miniboot.dir/rule:
	cd /root/git/carl9170fw && $(MAKE) -f CMakeFiles/Makefile2 tools/src/CMakeFiles/miniboot.dir/rule
.PHONY : tools/src/CMakeFiles/miniboot.dir/rule

# Convenience name for target.
miniboot: tools/src/CMakeFiles/miniboot.dir/rule
.PHONY : miniboot

# fast build rule for target.
miniboot/fast:
	cd /root/git/carl9170fw && $(MAKE) -f tools/src/CMakeFiles/miniboot.dir/build.make tools/src/CMakeFiles/miniboot.dir/build
.PHONY : miniboot/fast

# Convenience name for target.
tools/src/CMakeFiles/wol.dir/rule:
	cd /root/git/carl9170fw && $(MAKE) -f CMakeFiles/Makefile2 tools/src/CMakeFiles/wol.dir/rule
.PHONY : tools/src/CMakeFiles/wol.dir/rule

# Convenience name for target.
wol: tools/src/CMakeFiles/wol.dir/rule
.PHONY : wol

# fast build rule for target.
wol/fast:
	cd /root/git/carl9170fw && $(MAKE) -f tools/src/CMakeFiles/wol.dir/build.make tools/src/CMakeFiles/wol.dir/build
.PHONY : wol/fast

checksum.o: checksum.c.o
.PHONY : checksum.o

# target to build an object file
checksum.c.o:
	cd /root/git/carl9170fw && $(MAKE) -f tools/src/CMakeFiles/checksum.dir/build.make tools/src/CMakeFiles/checksum.dir/checksum.c.o
.PHONY : checksum.c.o

checksum.i: checksum.c.i
.PHONY : checksum.i

# target to preprocess a source file
checksum.c.i:
	cd /root/git/carl9170fw && $(MAKE) -f tools/src/CMakeFiles/checksum.dir/build.make tools/src/CMakeFiles/checksum.dir/checksum.c.i
.PHONY : checksum.c.i

checksum.s: checksum.c.s
.PHONY : checksum.s

# target to generate assembly for a file
checksum.c.s:
	cd /root/git/carl9170fw && $(MAKE) -f tools/src/CMakeFiles/checksum.dir/build.make tools/src/CMakeFiles/checksum.dir/checksum.c.s
.PHONY : checksum.c.s

fwinfo.o: fwinfo.c.o
.PHONY : fwinfo.o

# target to build an object file
fwinfo.c.o:
	cd /root/git/carl9170fw && $(MAKE) -f tools/src/CMakeFiles/fwinfo.dir/build.make tools/src/CMakeFiles/fwinfo.dir/fwinfo.c.o
.PHONY : fwinfo.c.o

fwinfo.i: fwinfo.c.i
.PHONY : fwinfo.i

# target to preprocess a source file
fwinfo.c.i:
	cd /root/git/carl9170fw && $(MAKE) -f tools/src/CMakeFiles/fwinfo.dir/build.make tools/src/CMakeFiles/fwinfo.dir/fwinfo.c.i
.PHONY : fwinfo.c.i

fwinfo.s: fwinfo.c.s
.PHONY : fwinfo.s

# target to generate assembly for a file
fwinfo.c.s:
	cd /root/git/carl9170fw && $(MAKE) -f tools/src/CMakeFiles/fwinfo.dir/build.make tools/src/CMakeFiles/fwinfo.dir/fwinfo.c.s
.PHONY : fwinfo.c.s

miniboot.o: miniboot.c.o
.PHONY : miniboot.o

# target to build an object file
miniboot.c.o:
	cd /root/git/carl9170fw && $(MAKE) -f tools/src/CMakeFiles/miniboot.dir/build.make tools/src/CMakeFiles/miniboot.dir/miniboot.c.o
.PHONY : miniboot.c.o

miniboot.i: miniboot.c.i
.PHONY : miniboot.i

# target to preprocess a source file
miniboot.c.i:
	cd /root/git/carl9170fw && $(MAKE) -f tools/src/CMakeFiles/miniboot.dir/build.make tools/src/CMakeFiles/miniboot.dir/miniboot.c.i
.PHONY : miniboot.c.i

miniboot.s: miniboot.c.s
.PHONY : miniboot.s

# target to generate assembly for a file
miniboot.c.s:
	cd /root/git/carl9170fw && $(MAKE) -f tools/src/CMakeFiles/miniboot.dir/build.make tools/src/CMakeFiles/miniboot.dir/miniboot.c.s
.PHONY : miniboot.c.s

# Help Target
help:
	@echo "The following are some of the valid targets for this Makefile:"
	@echo "... all (the default if no target is provided)"
	@echo "... clean"
	@echo "... depend"
	@echo "... checksum"
	@echo "... edit_cache"
	@echo "... fwinfo"
	@echo "... miniboot"
	@echo "... rebuild_cache"
	@echo "... wol"
	@echo "... checksum.o"
	@echo "... checksum.i"
	@echo "... checksum.s"
	@echo "... fwinfo.o"
	@echo "... fwinfo.i"
	@echo "... fwinfo.s"
	@echo "... miniboot.o"
	@echo "... miniboot.i"
	@echo "... miniboot.s"
.PHONY : help



#=============================================================================
# Special targets to cleanup operation of make.

# Special rule to run CMake to check the build system integrity.
# No rule that depends on this can have commands that come from listfiles
# because they might be regenerated.
cmake_check_build_system:
	cd /root/git/carl9170fw && $(CMAKE_COMMAND) -H$(CMAKE_SOURCE_DIR) -B$(CMAKE_BINARY_DIR) --check-build-system CMakeFiles/Makefile.cmake 0
.PHONY : cmake_check_build_system

=== debian/changelog ===
firmware-carl9170 (1.9.4-trisquel1) unstable; urgency=low

  * Added udeb packaging

 -- Ruben Rodriguez <ruben@trisquel.info>  Sun, 23 Feb 2014 00:00:00 +0000

=== debian/control ===
Source: firmware-carl9170
Section: admin
Priority: optional
Maintainer: Rubén Rodríguez <ruben@trisquel.info>
Build-Depends: debhelper, cmake, bison, make
Standards-Version: 3.5.9.0

Package: firmware-carl9170
Architecture: all
Description: Binary firmware for Atheros AR9170
 This package contains the binary firmware for Atheros AR9170 802.11n USB WLAN
 devices, used by carl9170 community driver.
 .
 Contents:
  * Atheros AR9170 firmware for carl9170 (carl9170-1.fw)

Package: firmware-carl9170-udeb
Section: debian-installer
XC-Package-Type: udeb
Architecture: all
Description: Binary firmware for Atheros AR9170
 This package contains the binary firmware for Atheros AR9170 802.11n USB WLAN
 devices, used by carl9170 community driver.
 .
 Contents:
  * Atheros AR9170 firmware for carl9170 (carl9170-1.fw)

=== debian/rules ===
#!/usr/bin/make -f

build:

clean:
	dh_testdir
	dh_testroot
	dh_clean
	make clean
	make -C config clean
	make -C toolchain clean
	rm toolchain/inst toolchain/build -rf
	ls -1 toolchain/src/ | grep -v tar | xargs -i rm -rf toolchain/src/{}

binary-indep:
	dh_clean
	dh_testdir
	dh_testroot
	dh_installchangelogs
	dh_installdocs

	# toolchain
	make -C ./toolchain

	# config parser
	#cmake config
	#make -C config
	#config/conf --alldefconfig Kconfig
	
	# firmware
	#cmake .
	make
	tools/src/miniboot a carlfw/carl9170.fw minifw/miniboot.fw
	cp carlfw/carl9170.fw carlfw/carl9170-1.fw
	
	dh_installdirs
	dh_install
	dh_fixperms
	dh_compress
	dh_installdeb
	dh_gencontrol
	dh_md5sums
	dh_builddeb

binary-arch:

binary: binary-indep binary-arch

.PHONY: binary binary-arch binary-indep clean build
